<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Vector2D.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vector2_d_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Vector2D.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 2D vector.  
<a href="#details">More...</a></p>

<p><a href="_vector2_d_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a 2D vector.  <a href="classflair_1_1core_1_1_vector2_d.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceflair"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair.html">flair</a></td></tr>
<tr class="memdesc:namespaceflair"><td class="mdescLeft">&#160;</td><td class="mdescRight">namespace of the flair Framework <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceflair_1_1core"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html">flair::core</a></td></tr>
<tr class="memdesc:namespaceflair_1_1core"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:abc8f6e4575318eceb0d34dd38d6cb783"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc8f6e4575318eceb0d34dd38d6cb783"></a>
typedef Vector2D&lt; float &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>flair::core::Vector2Df</b></td></tr>
<tr class="separator:abc8f6e4575318eceb0d34dd38d6cb783"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a762372bce051dd5543ec9f596e3f863c"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a762372bce051dd5543ec9f596e3f863c"><td class="memTemplItemLeft" align="right" valign="top">Vector2D&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#a762372bce051dd5543ec9f596e3f863c">flair::core::operator+</a> (const Vector2D&lt; T &gt; &amp;vectorA, const Vector2D&lt; T &gt; &amp;vectorB)</td></tr>
<tr class="memdesc:a762372bce051dd5543ec9f596e3f863c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add.  <a href="#a762372bce051dd5543ec9f596e3f863c">More...</a><br /></td></tr>
<tr class="separator:a762372bce051dd5543ec9f596e3f863c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0485a88dc635bfdea7b0282ac0369c4"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ae0485a88dc635bfdea7b0282ac0369c4"><td class="memTemplItemLeft" align="right" valign="top">Vector2D&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#ae0485a88dc635bfdea7b0282ac0369c4">flair::core::operator-</a> (const Vector2D&lt; T &gt; &amp;vectorA, const Vector2D&lt; T &gt; &amp;vectorB)</td></tr>
<tr class="memdesc:ae0485a88dc635bfdea7b0282ac0369c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Substract.  <a href="#ae0485a88dc635bfdea7b0282ac0369c4">More...</a><br /></td></tr>
<tr class="separator:ae0485a88dc635bfdea7b0282ac0369c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c3c0fe665086b60dac657b8ee40911"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ac3c3c0fe665086b60dac657b8ee40911"><td class="memTemplItemLeft" align="right" valign="top">Vector2D&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#ac3c3c0fe665086b60dac657b8ee40911">flair::core::operator-</a> (const Vector2D&lt; T &gt; &amp;vectorA)</td></tr>
<tr class="memdesc:ac3c3c0fe665086b60dac657b8ee40911"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opposite.  <a href="#ac3c3c0fe665086b60dac657b8ee40911">More...</a><br /></td></tr>
<tr class="separator:ac3c3c0fe665086b60dac657b8ee40911"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afed3cf9fa6c2e0afb37994f55222d019"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:afed3cf9fa6c2e0afb37994f55222d019"><td class="memTemplItemLeft" align="right" valign="top">Vector2D&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#afed3cf9fa6c2e0afb37994f55222d019">flair::core::operator/</a> (const Vector2D&lt; T &gt; &amp;vector, float coeff)</td></tr>
<tr class="memdesc:afed3cf9fa6c2e0afb37994f55222d019"><td class="mdescLeft">&#160;</td><td class="mdescRight">Divid.  <a href="#afed3cf9fa6c2e0afb37994f55222d019">More...</a><br /></td></tr>
<tr class="separator:afed3cf9fa6c2e0afb37994f55222d019"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f6b5216e29c497351829aae1cd86ca4"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4f6b5216e29c497351829aae1cd86ca4"><td class="memTemplItemLeft" align="right" valign="top">Vector2D&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#a4f6b5216e29c497351829aae1cd86ca4">flair::core::operator*</a> (const Vector2D&lt; T &gt; &amp;vector, float coeff)</td></tr>
<tr class="memdesc:a4f6b5216e29c497351829aae1cd86ca4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiplyf.  <a href="#a4f6b5216e29c497351829aae1cd86ca4">More...</a><br /></td></tr>
<tr class="separator:a4f6b5216e29c497351829aae1cd86ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002f684b4b4b844feaed934297b651a2"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a002f684b4b4b844feaed934297b651a2"><td class="memTemplItemLeft" align="right" valign="top">Vector2D&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#a002f684b4b4b844feaed934297b651a2">flair::core::operator*</a> (float coeff, const Vector2D&lt; T &gt; &amp;vector)</td></tr>
<tr class="memdesc:a002f684b4b4b844feaed934297b651a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiply.  <a href="#a002f684b4b4b844feaed934297b651a2">More...</a><br /></td></tr>
<tr class="separator:a002f684b4b4b844feaed934297b651a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 2D vector. </p>
<dl class="section author"><dt>Author</dt><dd>Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2013/05/02 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>4.0 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_vector2_d_8h.html">Vector2D.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
